ros-jazzy-rosidl-adapter (4.6.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.6.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.6.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.5.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.5.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.5.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.4.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.4.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.4.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.3.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.3.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.2.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.1.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.1.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (4.0.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.4.0-2bookworm) bookworm; urgency=high

  * rosidl_adapter/cmake/rosidl_adapt_interfaces.cmake: Make ament free (#709 <https://github.com/ros2/rosidl/issues/709>)
  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * Adding tests for unicode support in message comments. (#720 <https://github.com/ros2/rosidl/issues/720>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian, Guilherme Henrique Galelli Christmann, Yasushi SHOJI

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.3.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.3.0-2bookworm) bookworm; urgency=high

  * Add action2idl script (#654 <https://github.com/ros2/rosidl/issues/654>)
  * Contributors: John Daktylidis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.2.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.2.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.1.3-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.1.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.1.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.1.0-2bookworm) bookworm; urgency=high

  * rename nested loop index (#643 <https://github.com/ros2/rosidl/issues/643>)
  * Contributors: ibnHatab

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.0.1-2bookworm) bookworm; urgency=high

  * Fix how comments in action interfaces are processed (#632 <https://github.com/ros2/rosidl/issues/632>)
  * Pass comments in ros interface constants to the .idl generated files (#630 <https://github.com/ros2/rosidl/issues/630>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-jazzy-rosidl-adapter (3.0.0-2bookworm) bookworm; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.5.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.4.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.3.0-2bookworm) bookworm; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>)
  * Ignore multiple ``#`` characters and dedent comments (#594 <https://github.com/ros2/rosidl/issues/594>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.2.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.2.0-2bookworm) bookworm; urgency=high

  * Expose .msg/.srv/.action to .idl conversion via rosidl translate CLI (#576 <https://github.com/ros2/rosidl/issues/576>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.1.0-2bookworm) bookworm; urgency=high

  * Support hex constants in msg files (#559 <https://github.com/ros2/rosidl/issues/559>)
  * Contributors: Dereck Wonnacott

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.0.3-2bookworm) bookworm; urgency=high

  * Treat t as whitespace (#557 <https://github.com/ros2/rosidl/issues/557>)
  * Contributors: Dereck Wonnacott

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.0.2-2bookworm) bookworm; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.0.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Sep 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (2.0.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (1.1.0-2bookworm) bookworm; urgency=high

  * Refactor regex for valid package/field names (#508 <https://github.com/ros2/rosidl/issues/508>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Aug 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (1.0.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (1.0.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 21 May 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.9.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 May 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.9.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.9.0-2bookworm) bookworm; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.8.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Jan 2020 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.8.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-rosidl-adapter (0.8.0-2bookworm) bookworm; urgency=high

  * Improve parser error messages (#415 <https://github.com/ros2/rosidl/issues/415>)
  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * avoid zero length comment when the comment only contains a unit (#411 <https://github.com/ros2/rosidl/issues/411>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * fix error msg asserts due to change in pytest (#393 <https://github.com/ros2/rosidl/issues/393>)
  * open interface files with utf-8 encoding (#390 <https://github.com/ros2/rosidl/issues/390>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Sep 2019 16:00:00 -0000


